
<section data-ng-controller="ApiCtrl"  class="panel">
	<header class="panel-heading higher-panel-heading">
	    Orders 
	 
	    <button class='btn btn-action pull-right' ng-show="global.hasRole('provider') || global.hasRole('admin')" data-ng-click="bulkCopy()">Bulk Copy</button>

	</header>
	<span>
		
		<table ng-table="tableParams" show-filter="true" class="ng-table-responsive table table-striped table-advance table-hover orders">
		    <tr data-ng-repeat="order in $data" ng-if="order.url != 'add_cart'">
		    	<td data-title="'Copy'" >

		    		<label clipboard text='copyMe'>
		    		<button class='btn btn-action' type='button' ng-init='copyMe=order.url'>Copy</button></label>
		    		  
		    	</td>
		    	<td data-title="'API ID'" sortable="'api_id'" filter="{ 'api_id': 'text' }"> {{order.api_id}}</td>
		    	<td data-title="'Created'" sortable="'created'"><a data-ng-href="#!/orders/{{order._id}}">{{order.created | fromNow}}</a></td>
		        <td data-title="'URL'" sortable="'url'" filter="{ 'url': 'text' }">
							<i class='fa fa-envelope' style="color: #aad; margin-right: 0.15em;" ng-if="hasUnread(order)"></i>
							<a class='copy-url' data-ng-href="#!/orders/{{order._id}}">{{order.url | cut:true:40:' ...'}}</a>
						</td>
		        <td data-title="'Service'" sortable="'service.label'" filter="{ 'service': 'select' }" filter-data="servicesFilter($column)"><a data-ng-href="#!/orders/{{order._id}}">{{order.service.label | cut:true:35:' ...'}}</a></td>
		        <td data-title="'Quantity'" sortable="'orderCount'"><a data-ng-href="#!/orders/{{order._id}}">{{order.orderCount | numeral}}</a>
		        <td data-title="'Price'" sortable="'price'"><a data-ng-href="#!/orders/{{order._id}}">{{getOrderPrice() | numeral:'$0,0.00'}}</a></td>
						<td data-title="'Email'" sortable="'service.user.username'" filter="{ 'username': 'text' }">{{order.user.username | cut:true:35:' ...'}}</td>
		        <td data-title="'Status'" sortable="'status'"><a data-ng-href="#!/orders/{{order._id}}">
		        	<span ng-if="!order.paid && !order.checkout" class='order-status-cancelled'>
			        	Abandoned Checkout
			        </span>
			        <span ng-if="!order.paid && order.checkout" class='order-status-verifying'>
			        	Authorizing Payment
			        </span>

			         <span ng-if="order.verified && !order.completed" class='order-status-verifying'>
			        	Verifying payment
			        </span>

			        <span ng-if="order.paid && order.completed && !order.cancelled && !order.verified" class='order-status-verifying'>
			        	Verifying
			        </span>
		        	<span ng-if="order.paid && order.completed && !order.cancelled && order.verified" class='order-status-completed'>
		        		Completed
		        	</span>
		        	<span ng-if="order.paid && order.cancelled" class='order-status-cancelled'>
		        		Cancelled
		        	</span>
		        	<span ng-if="order.paid && !order.completed && !order.cancelled && !order.provider && !order.verified" class='order-status-progress'>
		        		In Progress
		        	</span>
		        	<span ng-if="order.paid && !order.completed && !order.cancelled && order.provider && !order.verified" class='order-status-progress'>
		        		In Progress
		        	</span>
		        </a></td>
		      </a>
		    </tr>
		</table>
	</span>

    <h1 data-ng-hide="!orders || orders.length || !global.hasRole('customer')" class='no-orders'>No orders yet.<span> <br> Why don't you <a href="/#!/orders/create">Place an Order</a>?</span></h1>
</section>

